##
##  xalan.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_here 2.4.1
%define       V_real 2_4_1

#   package information
Name:         xalan
Summary:      XSLT Processor
URL:          http://xml.apache.org/xalan-j/
Vendor:       Apache Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Text
License:      Apache
Version:      %{V_here}
Release:      20021101

#   list of sources
Source0:      http://xml.apache.org/dist/xalan-j/xalan-j_%{V_real}-bin.tar.gz
Source1:      xalan.sh

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, JDK
AutoReq:      no
AutoReqProv:  no

%description
    Xalan provides high-performance XSLT stylesheet processing. Xalan fully
    implements the W3C XSLT and XPath recommendations. The stylesheet
    processor is feature-rich and robust. The XPath Processor is useable as a
    stand-alone unit. Xalan uses the Bean Scripting Framework (BSF) to
    implement Java or script extensions, features multiple document output
    extensions, and we are working on data-binding extensions for SQL/JDBC and
    other data providers.

%prep
    %setup -q -n xalan-j_%{V_real}

%build
    #   noop

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/xalan
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE xalan.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/xalan
    %{l_shtool} install -c -m 644 \
        bin/* $RPM_BUILD_ROOT%{l_prefix}/libexec/xalan/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

